This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253950 - [abrt] evolution: html_object_split(): evolution killed by SIGABRT
[abrt] evolution: html_object_split(): evolution killed by SIGABRT
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:11a4edb4379e71904b2f1db3136...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 19:56 EDT by Sergio Monteiro Basto
Modified: 2015-08-17 04:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-17 04:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (96.71 KB, text/plain)
2015-08-15 19:56 EDT, Sergio Monteiro Basto
no flags Details
File: build_ids (12.97 KB, text/plain)
2015-08-15 19:56 EDT, Sergio Monteiro Basto
no flags Details
File: cgroup (189 bytes, text/plain)
2015-08-15 19:56 EDT, Sergio Monteiro Basto
no flags Details
File: core_backtrace (64.76 KB, text/plain)
2015-08-15 19:56 EDT, Sergio Monteiro Basto
no flags Details
File: dso_list (32.62 KB, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details
File: environ (2.48 KB, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details
File: maps (165.81 KB, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details
File: open_fds (5.46 KB, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-08-15 19:57 EDT, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Sergio Monteiro Basto 2015-08-15 19:56:50 EDT
Description of problem:
editing and undo all on replay messages fotmated in html 

Version-Release number of selected component:
evolution-3.12.11-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/evolution
crash_function: html_object_split
executable:     /usr/bin/evolution
kernel:         4.1.4-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 html_object_split at htmlobject.c:1031
 #5 split at htmlclueflow.c:374
 #6 split_and_add_empty_texts at htmlengine-edit-cut-and-paste.c:390
 #7 insert_object_do at htmlengine-edit-cut-and-paste.c:962
 #8 insert_object_for_undo at htmlengine-edit-cut-and-paste.c:1215
 #9 delete_undo_action at htmlengine-edit-cut-and-paste.c:470
 #10 action_do_and_destroy_undo at htmlundo.c:167
 #11 html_undo_do_undo at htmlundo.c:197
 #12 undo_step_action at htmlundo.c:561
 #13 action_do_and_destroy_undo at htmlundo.c:167
Comment 1 Sergio Monteiro Basto 2015-08-15 19:56:54 EDT
Created attachment 1063352 [details]
File: backtrace
Comment 2 Sergio Monteiro Basto 2015-08-15 19:56:55 EDT
Created attachment 1063353 [details]
File: build_ids
Comment 3 Sergio Monteiro Basto 2015-08-15 19:56:57 EDT
Created attachment 1063354 [details]
File: cgroup
Comment 4 Sergio Monteiro Basto 2015-08-15 19:56:58 EDT
Created attachment 1063355 [details]
File: core_backtrace
Comment 5 Sergio Monteiro Basto 2015-08-15 19:57:00 EDT
Created attachment 1063356 [details]
File: dso_list
Comment 6 Sergio Monteiro Basto 2015-08-15 19:57:01 EDT
Created attachment 1063357 [details]
File: environ
Comment 7 Sergio Monteiro Basto 2015-08-15 19:57:03 EDT
Created attachment 1063358 [details]
File: limits
Comment 8 Sergio Monteiro Basto 2015-08-15 19:57:05 EDT
Created attachment 1063359 [details]
File: maps
Comment 9 Sergio Monteiro Basto 2015-08-15 19:57:06 EDT
Created attachment 1063360 [details]
File: open_fds
Comment 10 Sergio Monteiro Basto 2015-08-15 19:57:07 EDT
Created attachment 1063361 [details]
File: proc_pid_status
Comment 11 Milan Crha 2015-08-17 04:10:30 EDT
Thanks for a bug report. This crash happened in the GtkHTML, which the current stable version of evolution (3.16.x) doesn't use any more. The GtkHTML is also unmaintained now, thus I'm closing this. I usuggest to update to more recent Fedora. The upcoming Fedora 23 will contain Evolution 3.18.x.

Note You need to log in before you can comment on or make changes to this bug.